local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'analytics_master')
local GateReached = game.gm.getLocalIndicator(0, "GateReached")
local analytics = game.analyticsHelper
sprite:clearcache()



--[[
1. Player completed an Era and arrived at a gate
2. Player passed a gate and started a new era


@param table args
		
		"event" - one of "EraComplete", "EraStarted"
			"EraComplete" args:
				"GateReached"
			"EraStarted" args:
				"GatePassed"
				"GateKeyUsed"
				"PriceAmount"
				"TimeLeft"
]]--
GameAnalytics.reportEra({["event"] = "GateArrived", 
						 ["GateReached"] = GateReached})
