local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'analytics_master')
local GateReached = game.gm.getLocalIndicator(0, "GateReached")
local GateKeyUsed = game.gm.getLocalIndicator(0, "GateKeyUsed")
local PriceAmount = game.gm.getLocalIndicator(0, "PriceAmount")
local TimeLeftDays = game.gm.getLocalIndicator(0, "TimeLeftDays")
local TimeLeftHours = game.gm.getLocalIndicator(0, "TimeLeftHours")
local TimeLeftMinutes = game.gm.getLocalIndicator(0, "TimeLeftMinutes")
local analytics = game.analyticsHelper
sprite:clearcache()


--[[
2. Player passed a gate and started a new era

@param table args
	
			"EraStarted" args:
				"GatePassed"
				"GateKeyUsed"
				"PriceAmount"
				"TimeLeftDays"
				"TimeLeftHours"
				"TimeLeftMinutes"
]]--
GameAnalytics.reportEra({["event"] = "GatePassed", 
						 ["GateReached"] = GateReached,
						 ["GateKeyUsed"] = GateKeyUsed,
						 ["PriceAmount"] = PriceAmount,
						 TimeLeftDays = TimeLeftDays,
						 TimeLeftHours = TimeLeftHours,
						 TimeLeftMinutes = TimeLeftMinutes})
