local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'dummy_partition')
local analytics = game.analyticsHelper
sprite:clearcache()


-- get bots position
local distanceToFrontBot = INF
local distanceToBackBot	= INF
local botSprites = {}
local heroSprite 

forEachSprite(hero, function(currentHero)
        if currentHero.is_shadow == 1 then
			table.insert(botSprites, currentHero)            			
		elseif currentHero.my_id == multi_player_id_me then 
			heroSprite = currentHero
        end
    end)

if heroSprite ~= nil then 	
	local dist
	for _,v in pairs(botSprites) do
		dist = v.XPos - heroSprite.XPos
		if dist >= 0 then 
			distanceToFrontBot = min(distanceToFrontBot, abs(dist))		
		else
			distanceToBackBot = min(distanceToBackBot, abs(dist))	
		end
	end
end

if distanceToFrontBot <= SCREEN_WIDTH*front_bots_free_margin or
	distanceToBackBot <= SCREEN_WIDTH*back_bots_free_margin or debug_simulator_build == 1 then 
		
	g_startAiMarkerCreationForPartition(Partition(self))
--	print(string.format("front bots: %d, back bots: %d *************** start placing markers ***************", distanceToFrontBot, distanceToBackBot))
-- else 
--	print (string.format("front bots: %d, back bots: %d *************** marker placement skipped ***************", distanceToFrontBot, distanceToBackBot))
end
