local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'bot_master')
local analytics = game.analyticsHelper
sprite:clearcache()


-- Maps between bot ID to its stating X position
local BOT_ID_TO_STARTING_X = { [2]=200, [3]=120, [4]=50 }

local realPlayers = 
    math.max(game.networking.getNumberOfPlayersInRoom(), 1)
print("BOTS:: realPlayers = " .. realPlayers)

local numberOfBotsToCreate
if BOT_FILL_MISSING_PLAYERS_WITH_BOTS == 1 then
    numberOfBotsToCreate = multi_players_total - realPlayers
elseif BOT_FILL_MISSING_PLAYERS_WITH_BOTS == 2 then
    numberOfBotsToCreate = debug_number_of_bots
end
print("BOTS:: numberOfBotsToCreate = " .. numberOfBotsToCreate)
-- Create bots
for i = (realPlayers + 1), (realPlayers + numberOfBotsToCreate) do
    print("Createing bot "..i.." at "..tostring(BOT_ID_TO_STARTING_X[i]))
    self.create_bot {
            id = i,
            starting_x = BOT_ID_TO_STARTING_X[i],
        }
end

print("BOTS:: self.bots.Length = " .. self.bots.Length)
-- init bots ids
for i=1, self.bots.Length do
	if i==1 then 
		self.id1 = self.bots[i].my_id
	elseif i==2 then 
		self.id2 = self.bots[i].my_id
	elseif i==3 then 
		self.id3 = self.bots[i].my_id
	end
end

print("BOTS:: IDS[] = id1 = " .. self.id1 .. ", id2 = " .. self.id2 .. ", id3 = " .. self.id3)
