local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'fb_list_element')
local father = sprite:create(game.gm.getLocalIndicator(0, "father"),'fb_list_master')
local rows = game.gm.getLocalIndicator(0, "rows")
local columns = game.gm.getLocalIndicator(0, "columns")
local rows_gap = game.gm.getLocalIndicator(0, "rows_gap")
local columns_gap = game.gm.getLocalIndicator(0, "columns_gap")
local special_rows_gap = game.gm.getLocalIndicator(0, "special_rows_gap")
local special_columns_gap = game.gm.getLocalIndicator(0, "special_columns_gap")
local special_columns_interval = game.gm.getLocalIndicator(0, "special_columns_interval")
local special_rows_interval = game.gm.getLocalIndicator(0, "special_rows_interval")
local start_x = game.gm.getLocalIndicator(0, "start_x")
local start_y = game.gm.getLocalIndicator(0, "start_y")
local z_order = game.gm.getLocalIndicator(0, "z_order")
local analytics = game.analyticsHelper
sprite:clearcache()




if(#SocialMaster.friends > father.counter) then
	local data = SocialMaster.friends[father.counter+1]	
	self.init({fb_id = data.FB_ID, rank = data.rank, is_me = data.is_me, index_in_list = father.counter, online_status = data.online_status, score = data.score})
	self.canvas.first_name.text = data.canvas.TextFrame.text	
else
	self.init({fb_id = -1, rank = 0, is_me = 0, index_in_list = 0, online_status = 0, score = 0})
end
