local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'game_master')
local analytics = game.analyticsHelper
sprite:clearcache()


HitsMessenger = {}
HitsMessenger.freePlaces = {true,true,true,true}

function  HitsMessenger.Init()
	print "Init"	
end
---------------------------------------------
--args["victim"], args["attacker"], args["type"]
function HitsMessenger.CreateMessage(args)
	print("hit report:: CreateMessage called")
	local  existingMsgCnt = hit_msg.Length
	if existingMsgCnt < 4 then 
		local msgPlace = 1
		if existingMsgCnt > 0 then 
			HitsMessenger.freePlaces = {true,true,true,true}
			hit_msg.update_freePlaces_table({})
			--[[
			for i=1, existingMsgCnt do
				print("freePlaces[" .. hit_msg[i].place .. "] = false")
				HitsMessenger.freePlaces[hit_msg[i].place] = false
			end
			]]--
			for i=1, #HitsMessenger.freePlaces do
				if HitsMessenger.freePlaces[i] == true then
					print("freePlaces[" .. i .. "] = true, i = " .. i)
					msgPlace = i
					break
				end
			end
		end

		local attacker_ = tonumber(args["attacker"])
		local victim_ 	= tonumber(args["victim"])
		local type_ = tonumber(args["type"])		
		
		print("hit report:: game_master.create_hit_message(attacker=" .. attacker_ .. 
				", victim=" .. victim_ .. ", type = " .. type_ .. ", place= " .. msgPlace .. ")")
		game_master.create_hit_message({attacker = attacker_, victim = victim_, type = type_, place = msgPlace})
	end
end

----------------------------------------------------
game.networkingEvents.bind(EVENT_HIT_MSG, function(args)
    local attacker = tonumber(args["attacker"])    
    -- only attacker can recieve the report
    -- victim is who sends the report
    if attacker == multi_player_id_me then
    	HitsMessenger.CreateMessage(args)
    end
end)
----------------------------------------------------

