local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'inbox_slot')
local father = sprite:create(game.gm.getLocalIndicator(0, "father"),'inbox_master')
local x = game.gm.getLocalIndicator(0, "x")
local y = game.gm.getLocalIndicator(0, "y")
local analytics = game.analyticsHelper
sprite:clearcache()


local k = father.k + 1
local req = Inbox.requests[k]
self.set_type({t=req.requestId})
self.my_face.rank = req.rank
self.my_face.get_image({})

if(req.requestId == 2) then
	self.canvas.grey_title.text = "You got a gift!"
	self.canvas.blue_title.text = ""
	self.canvas.txt.text = req.name .. " gave\n" .. "your pet a life"
	inbox_master.analytics_energy_gifts = inbox_master.analytics_energy_gifts + 1
elseif(req.requestId == 4) then
	self.canvas.grey_title.text = ""
	self.canvas.blue_title.text = "I need your help"
	self.canvas.txt.text = req.name .. " is asking\n" .. "for a life to their pet"
	inbox_master.analytics_energy_requests = inbox_master.analytics_energy_requests + 1
elseif(req.requestId == 8) then
	self.canvas.grey_title.text = ""
	self.canvas.blue_title.text = "I am blocked"
	self.canvas.txt.text = req.name .. " is asking\n" .. "for a key to a gate"
elseif(req.requestId == 9) then
	self.canvas.grey_title.text = "You got a key!"
	self.canvas.blue_title.text = ""
	self.canvas.txt.text = req.name .. " gave you\n" .. "a key to a gate"	
else
	self.canvas.grey_title.text = ""
	self.canvas.blue_title.text = ""
end





