local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'social_master')
local FriendId = game.gm.getLocalIndicator(0, "FriendId")
local Quantity = game.gm.getLocalIndicator(0, "Quantity")
local Arg1 = game.gm.getLocalIndicator(0, "Arg1")
local Arg2 = game.gm.getLocalIndicator(0, "Arg2")
local Arg3 = game.gm.getLocalIndicator(0, "Arg3")
local analytics = game.analyticsHelper
sprite:clearcache()


-- load all requests from file to raw rawRequests
local rawRequests = Inbox.ReadRequestsFromFile()

if(rawRequests) then
	--print("INB:: " .. #rawRequests .. "were red from file")
	-- update Inbox.requets table
	Inbox.requests = {}

	local f
	for i=1, #rawRequests do
		f = Inbox.FindLoadedFriendById(rawRequests[i].friendId)
		
		if (f) then	
			rawRequests[i].name = f.name
			rawRequests[i].rank = f.rank
			table.insert(Inbox.requests, rawRequests[i]) 
		end
	end

	--print("INB: There are " .. #Inbox.requests .. "ready requests")
	if (inbox_cnt_dsp.Length > 0) then 
		inbox_cnt_dsp.num = #Inbox.requests 
		--print("INB:: inbox_cnt_dsp = " .. #Inbox.requests)
	else
		print("INB:: inbox_cnt_dsp = nil")
	end
else
	print("INB:: inbox update rawRequests = nil")
end





