local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'preplay_master')
local analytics = game.analyticsHelper
sprite:clearcache()


local connection_state =  game.networking.getConnectionState()

if (connection_state ~= game.enums.ConnectionState.JOINED and connection_state ~= game.enums.ConnectionState.JOINING) then
    print("Should never happen - leave room before joining or trying to join any room")
    -- added in order to avoid possible crash
    if preplay_master.Length > 0 then 
    	preplay_master.back_to_playground()
    end
end

if (connection_state == game.enums.ConnectionState.JOINED) then
    game.networking.leaveRoom()
end

if (connection_state == game.enums.ConnectionState.JOINING) then
    game.networking.disconnect()
end







