local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'fb_score_parser')
local score = game.gm.getLocalIndicator(0, "score")
local analytics = game.analyticsHelper
sprite:clearcache()


-- Support bitwise operations - but currently isn't used since FB score is bound by studio to 745000 anyway.
--[[
function reverse(t)
  local nt = {} -- new table
  local size = #t + 1
  for k,v in ipairs(t) do
    nt[size - k] = v
  end
  return nt
end
]]

-- Support bitwise operations - but currently isn't used since FB score is bound by studio to 745000 anyway.
--[[
function tobits(num)
    local t={}
    while num>0 do
        rest=num%2
        t[#t+1]=rest
        num=(num-rest)/2
    end
    t = reverse(t)
    return table.concat(t)
end
]]

local input = parser_encode_input
local i = 1

if(string.len(input) == 5) then
    while (i <= string.len(input)) do

        local param = -1
        if(i == 1) then
            param = string.sub(input, i, i)
            parser_level = tonumber(param) 
        elseif (i == 2) then
            param = string.sub(input, i, i)
            parser_world = tonumber(param)
        elseif (i == 3) then
            param = string.sub(input, i, i)
            parser_current_pet = tonumber(param)
        elseif (i == 4) then
            param = tonumber(string.sub(input, i, i))
            if(param == 1) then
                parser_head_prop = PROP_DEMON_HELMET
            elseif(param == 2) then
                parser_head_prop = PROP_KING_CROWN
            elseif(param == 3) then
                parser_head_prop = PROP_PIRATE_HAT
            elseif(param == 4) then
                parser_head_prop = PROP_SOLDIER_HELMET
            elseif(param == 5) then
                parser_head_prop = PROP_WIZARD_HAT
            elseif(param == 6) then
                parser_head_prop = PROP_CAVEMAN_HAT
            elseif(param == 7) then
                parser_head_prop = PROP_ROBOT_HELMET
            end
        elseif (i == 5) then
            param = tonumber(string.sub(input, i, i))
            if(param == 1) then
                parser_body_prop = PROP_DEMON_CAPE
            elseif(param == 2) then
                parser_body_prop = PROP_KING_CAPE
            elseif(param == 3) then
                parser_body_prop = PROP_PIRATE_BELT
            elseif(param == 4) then
                parser_body_prop = PROP_SOLDIER_BELT
            elseif(param == 5) then
                parser_body_prop = PROP_WIZARD_CAPE
            elseif(param == 6) then
                parser_body_prop = PROP_CAVEMAN_CAPE
            elseif(param == 7) then
                parser_body_prop = PROP_ROBOT_JETPACK
            end
        else
          print("Error: input length is too long - some arguments were not encoded of input: " .. input .. " at index: " .. i)
        end
        i = i + 1
    end
elseif(string.len(input) == 6) then
    while (i <= string.len(input)) do

        local param = -1
        if(i == 1) then
            param = string.sub(input, i, i + 1)
            parser_level = tonumber(param)
            i = i + 1
        elseif (i == 3) then
            param = string.sub(input, i, i)
            parser_world = tonumber(param)
        elseif (i == 4) then
            param = string.sub(input, i, i)
            parser_current_pet = tonumber(param)
        elseif (i == 5) then
            param = tonumber(string.sub(input, i, i))
            if(param == 1) then
                parser_head_prop = PROP_DEMON_HELMET
            elseif(param == 2) then
                parser_head_prop = PROP_KING_CROWN
            elseif(param == 3) then
                parser_head_prop = PROP_PIRATE_HAT
            elseif(param == 4) then
                parser_head_prop = PROP_SOLDIER_HELMET
            elseif(param == 5) then
                parser_head_prop = PROP_WIZARD_HAT
            elseif(param == 6) then
                parser_head_prop = PROP_CAVEMAN_HAT
            elseif(param == 7) then
                parser_head_prop = PROP_ROBOT_HELMET
            end

        elseif (i == 6) then
            param = tonumber(string.sub(input, i, i))
            if(param == 1) then
                parser_body_prop = PROP_DEMON_CAPE
            elseif(param == 2) then
                parser_body_prop = PROP_KING_CAPE
            elseif(param == 3) then
                parser_body_prop = PROP_PIRATE_BELT
            elseif(param == 4) then
                parser_body_prop = PROP_SOLDIER_BELT
            elseif(param == 5) then
                parser_body_prop = PROP_WIZARD_CAPE
            elseif(param == 6) then
                parser_body_prop = PROP_CAVEMAN_CAPE
            elseif(param == 7) then
                parser_body_prop = PROP_ROBOT_JETPACK
            end

        else
          print("Error: input length is too long - some arguments were not encoded of input: " .. input .. " at index: " .. i)
        end
        i = i + 1
    end
else
    print("WARNING: Received illegal score to encode: " .. parser_encode_input)
end


print("Encode score: " .. parser_encode_input)
print("Encode result - Level: " .. parser_level .. " World: " .. parser_world .. " Pet: " .. parser_current_pet .. " Head: " .. parser_head_prop .. " Body: " .. parser_body_prop)

