local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'pets_storage_master')
local analytics = game.analyticsHelper
sprite:clearcache()


CPetData = class()
--CPetData = {} -- for spelling test only
--------------------------------------------------------------------------------------------
function  CPetData:new(petType, powerUpType1, powerUpType2, powerUpType3, rarity, coolDown)
	self.petType 		= petType or 0
	self.powerUpType1 	= powerUpType1 or 0
	self.powerUpType2 	= powerUpType2 or 0
	self.powerUpType3 	= powerUpType3 or 0
	self.rarity 		= rarity or 0
	self.coolDown		= coolDown or 0
end
--------------------------------------------------------------------------------------------
function CPetData:ToString()
	local txt = ""
	txt = txt .. "[type=" 	.. self.petType 		.. "]"
	txt = txt .. "[pwr1=" 	.. self.powerUpType1 	.. "]"
	txt = txt .. "[pwr2=" 	.. self.powerUpType2 	.. "]"
	txt = txt .. "[pwr3=" 	.. self.powerUpType3 	.. "]"
	txt = txt .. "[rarity=" .. self.rarity 			.. "]"
	txt = txt .. "[cooldown=" .. self.coolDown 		.. "]"
	return txt
end
--------------------------------------------------------------------------------------------
function CPetData:SaveToFile(file)
	if file then 
		file:write(self.petType 		.. "\n")
		file:write(self.powerUpType1 	.. "\n")
		file:write(self.powerUpType2 	.. "\n")
		file:write(self.powerUpType3 	.. "\n")
		file:write(self.rarity 			.. "\n")
		file:write(self.coolDown 		.. "\n")
	else
		print("This should never happen:: CPetData:SaveToFile() get file = nil")
	end
end
--------------------------------------------------------------------------------------------
function CPetData:ReadFromFile(file)
	if file then 		
		return CPetData(	tonumber(file:read("*line")),
							tonumber(file:read("*line")),
							tonumber(file:read("*line")),
							tonumber(file:read("*line")),
							tonumber(file:read("*line")),
							tonumber(file:read("*line"))
						)
	else
		print("This should never happen:: CPetData:ReadFromFile() get file = nil")
		return nil
	end
end
--------------------------------------------------------------------------------------------



