local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'limbo_pet')
local analytics = game.analyticsHelper
sprite:clearcache()



for key, value in pairs(PetMaster.slots) do 
	if(value.slot_id == self.limbo_pet.slot_id and self.limbo_pet.slot_id == pet_total_available) then
		PetMaster.slots[self.limbo_pet.slot_id] = nil
		print("removed pet data for slot id: " .. self.limbo_pet.slot_id)
	elseif(self.limbo_pet.slot_id < pet_total_available and value.slot_id == pet_total_available) then
		
		-- in case pet isn't the last one - replace last pet data with deleted pet to keep table full without gaps
		PetMaster.slots[self.limbo_pet.slot_id].petType = value.petType
		PetMaster.slots[self.limbo_pet.slot_id].name = value.name
		PetMaster.slots[self.limbo_pet.slot_id].description = value.description
		PetMaster.slots[self.limbo_pet.slot_id].month = value.month
		PetMaster.slots[self.limbo_pet.slot_id].day = value.day
		PetMaster.slots[self.limbo_pet.slot_id].hours = value.hours
		PetMaster.slots[self.limbo_pet.slot_id].minutes = value.minutes
		PetMaster.slots[self.limbo_pet.slot_id].seconds = value.seconds
		PetMaster.slots[self.limbo_pet.slot_id].energy_current_lives = value.energy_current_lives
		PetMaster.slots[self.limbo_pet.slot_id].energy_recharge_time = value.energy_recharge_time
		PetMaster.slots[self.limbo_pet.slot_id].energy_lives_cap = value.energy_lives_cap
		PetMaster.slots[self.limbo_pet.slot_id].is_egg = value.is_egg

		PetMaster.slots[value.slot_id] = nil

		if(self.limbo_pet.slot_id == 1) then
			pet_house_slot_1 = value.petType
		elseif(self.limbo_pet.slot_id == 2) then
			pet_house_slot_2 = value.petType
		elseif(self.limbo_pet.slot_id == 3) then
			pet_house_slot_3 = value.petType
		elseif(self.limbo_pet.slot_id == 4) then
			pet_house_slot_4 = value.petType
		elseif(self.limbo_pet.slot_id == 5) then
			pet_house_slot_5 = value.petType
		elseif(self.limbo_pet.slot_id == 6) then
			pet_house_slot_6 = value.petType
		end

	end
end

-- clean last slot type
if(pet_total_available == 1) then
	pet_house_slot_1 = 0
elseif(pet_total_available == 2) then
	pet_house_slot_2 = 0
elseif(pet_total_available == 3) then
	pet_house_slot_3 = 0
elseif(pet_total_available == 4) then
	pet_house_slot_4 = 0
elseif(pet_total_available == 5) then
	pet_house_slot_5 = 0
elseif(pet_total_available == 6) then
	pet_house_slot_6 = 0
end

if(selected_pet_slot_ID == self.limbo_pet.slot_id and pet_total_available > 1) then
	selected_pet_slot_ID = 1
	curr_pet_skin = pet_house_slot_1
end


PetMaster.OpenFile("w")

local index = 1
for key, data in pairs(PetMaster.slots) do 
	PetMaster.SavePetToFile(index, data.petType, data.name, data.description, data.month, data.day, data.hours, data.minutes, data.seconds,
	data.energy_recharge_time, data.energy_lives_cap, data.energy_current_lives, data.is_egg)
	index = index + 1
end

pet_total_available = pet_total_available - 1

--print("Written pets array into file!")
PetMaster.CloseFile()
