local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'bow')
local id = game.gm.getLocalIndicator(0, "id")
local type = game.gm.getLocalIndicator(0, "type")
local analytics = game.analyticsHelper
sprite:clearcache()


game.networking.registerNetworkObject(self, game.enums.NetworkObjectType.REPLICATED)
game.networking.disableSyncOf(self, SyncedFields.NOT_SYNCED_BY_DEFAULT)

-- Enable visibility sync for specific sprites
if(register_network_object_ENABLE_VISIBILITY_SYNC == 1) then
	game.networking.enableSyncOf(self, game.enums.State.VISIBLE)
end
