local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'store_skill_msg')
local analytics = game.analyticsHelper
sprite:clearcache()


local Skills = {}
Skills[PROP_SET_KING] 		= {name = "Royal protection"		, dsc = "Force Field power-up duration is longer", hat = PROP_KING_CROWN}
Skills[PROP_SET_PIRATE] 	= {name = "Greedy"					, dsc = "Double rainbow juice from collectibles" , hat = PROP_PIRATE_HAT}
Skills[PROP_SET_CAVEMAN]	= {name = "Unstoppable"				, dsc = "Move faster on mud", 					   hat = PROP_CAVEMAN_HAT	}
Skills[PROP_SET_WIZARD]		= {name = "Magical Power"			, dsc = "Reduce power-up cooldowns", 			   hat = PROP_WIZARD_HAT}
Skills[PROP_SET_DEMON]		= {name = "Hot Bombs"				, dsc = "Drop 2 mines with the mine power-up",		hat = PROP_DEMON_HELMET}
Skills[PROP_SET_SOLDIER]	= {name = "Electrical Umbrella"	, dsc = "Immunity agains Electrical Grenade power-up", hat = PROP_SOLDIER_HELMET}
Skills[PROP_SET_ROBOT]		= {name = "Hero"					, dsc = "You don't lose collectibles after hits",   hat = PROP_ROBOT_HELMET}


if(self.skill ~= 0) then 
	self.canvas.name_txt.text = Skills[self.skill].name
	self.canvas.dsc_txt.text = Skills[self.skill].dsc
	self.my_icon.set_type({t=Skills[self.skill].hat})
end

if(store_bg.Length > 0) then 
	store_bg.my_chicken[1].do_particles({type = self.skill})
end

