local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'game_master')
local analytics = game.analyticsHelper
sprite:clearcache()


TalkMessenger = {}
TalkMessenger.messageText = ""
TalkMessenger.senderId = 0
TalkMessenger.messagesCnt = 0

-- args{"msg_text", "sender_name"}
function TalkMessenger.CreateMessage(args)
	print("TalkMessenger:: TalkMessenger.CreateMessage(".. args["msg_text"].. ") called")
	local senderId = tonumber(args["sender_id"])		
	if TalkMessenger.messagesCnt < 3 and senderId ~= multi_player_id_me or IS_YAN == 1 then 
		TalkMessenger.messagesCnt = TalkMessenger.messagesCnt + 1
		TalkMessenger.messageText = args["msg_text"]
		TalkMessenger.senderId = senderId
		game_master.create_talk_msg({place = TalkMessenger.messagesCnt})		
	end
end

----------------------------------------------------
game.networkingEvents.bind(EVENT_TALK_MSG, function(args)
		print("EVENT_TALK_MSG received with text = " .. args["msg_text"])
    	TalkMessenger.CreateMessage(args)
end)
----------------------------------------------------
