local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'limbo_play_button')
local analytics = game.analyticsHelper
sprite:clearcache()


local connection_state =  game.networking.getConnectionState() 
--------------------------------------------------------------------------------------------
function g_printConnectionState(st)
	local stateTxt = "Unknown"
	
	if st == game.enums.ConnectionState.DISCONNECTED then stateTxt = "DISCONNECTED" end
	if st == game.enums.ConnectionState.DISCONNECTING then stateTxt = "DISCONNECTING" end
	if st == game.enums.ConnectionState.DISCONNECTING then stateTxt = "CONNECTING" end

	print("is_connected_to_photon = 0 :: reason = " .. stateTxt)

end
--------------------------------------------------------------------------------------------

if (	connection_state == game.enums.ConnectionState.DISCONNECTED or 
		connection_state == game.enums.ConnectionState.DISCONNECTING or 
		connection_state == game.enums.ConnectionState.CONNECTING			) then
	g_printConnectionState(connection_state)
	is_connected_to_photon = 0
else
	is_connected_to_photon = 1
end

if (connection_state == game.enums.ConnectionState.JOINED) then
	is_joined_to_room = 1
else
	is_joined_to_room = 0
end

if (connection_state == game.enums.ConnectionState.LEAVING) then
	is_leaving_photon_room = 1
else
	is_leaving_photon_room = 0
end




