local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'analytics_master')
local PetSlot = game.gm.getLocalIndicator(0, "PetSlot")
local PetType = game.gm.getLocalIndicator(0, "PetType")
local PetEnergy = game.gm.getLocalIndicator(0, "PetEnergy")
local analytics = game.analyticsHelper
sprite:clearcache()


--[[
1. Player heals a pet
2. Player pressed the Heal button and then cancelled

@param table args
	"event" - one of: "Healed", "HealCancel", "Dismissed", "DismissCancel"
	"PetSlot"
	"PetType"
	"PetEnergy"
]]--
GameAnalytics.reportPet({["event"] = "Dismissed", ["PetSlot"] = PetSlot, ["PetType"] = PetType, ["PetEnergy"] = PetEnergy})
