local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'analytics_master')
local IsCharge = game.gm.getLocalIndicator(0, "IsCharge")
local IsCoins = game.gm.getLocalIndicator(0, "IsCoins")
local Amount = game.gm.getLocalIndicator(0, "Amount")
local analytics = game.analyticsHelper
sprite:clearcache()


--[[
1. Player Gets Coins
2. Player Spends Coins - Not in first step
3. Player Gets Bucks
4  Player Spends Bucks

@param table args
	"event" - "Deposit", "Charge"
	"currencyType" - "Bucks", "Coins"
	"amount"

]]--

local event = "Deposit"
if IsCharge == 1 then
	event = "Charge"
end

local currencyType = "Coins"

if IsCoins == 0 then
	currencyType = "Bucks"
end

GameAnalytics.reportWallet({event = event, currencyType = currencyType, amount = Amount})
