local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'hero')
local is_shadow = game.gm.getLocalIndicator(0, "is_shadow")
local id = game.gm.getLocalIndicator(0, "id")
local skill = game.gm.getLocalIndicator(0, "skill")
local analytics = game.analyticsHelper
sprite:clearcache()


-- rank_for_scenes {0,1,2}
-- bot_ai_smartness {0-100}%
-- self.simulate_bots_bounce_back_intervals {interval in ms} rand(interval/2, interval)
-- fool timer use: bot_fool_time_period + rand(bot_fool_time_period*2)

BOT_FOOL_TIME_PERIOD_SMART 	= 6000
BOT_FOOL_TIME_PERIOD_MEDIUM = 5000
BOT_FOOL_TIME_PERIOD_STUPID = 4000


if (rank_for_scenes == 0) then 
	-- stupid bot
	bot_ai_smartness = 100 
	self.simulate_bots_bounce_back_intervals = 5000
	bot_fool_time_period = BOT_FOOL_TIME_PERIOD_STUPID

elseif  (rank_for_scenes == 1) then
	--medium smartness bot
	bot_ai_smartness = 100 
	self.simulate_bots_bounce_back_intervals = 6000
	bot_fool_time_period = BOT_FOOL_TIME_PERIOD_MEDIUM

else
	--smart bot or unknown level of smartness
	bot_ai_smartness = 100
	self.simulate_bots_bounce_back_intervals = 7000
	bot_fool_time_period = BOT_FOOL_TIME_PERIOD_SMART

end
