local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'preplay_master')
local reconnect = game.gm.getLocalIndicator(0, "reconnect")
local analytics = game.analyticsHelper
sprite:clearcache()




-----------------------------------------------------------------
local invited_players = PreplayMaster.GetInvitedFriendsList()
local id_for_random_game = random_game_id + 2013
local properties = {game_type_yan=id_for_random_game}
g_addPropertiesForMyLevel(properties)
local propertiesTxt = g_TableToString(properties)

local connection_state =  game.networking.getConnectionState() 

if connection_state ~= game.enums.ConnectionState.JOINING then
    if (#invited_players > 0) then	
    	game.networking.startGameWithFriends(
            1,
            "Let's play together!",
            invited_players,
            multi_players_total,
            properties)
        
       	print("FB:: startGameWithFriends, properties = " .. propertiesTxt)
    else	
    	game.networking.startRandomGame(multi_players_total, properties)
        print("startRandomGame:: from connect_and_join.lua, properties = " .. propertiesTxt)
        self.start_waiting_to_match_timer({short_wait_time = 0})	
    end
else
    print("JOINING CANCELED:: because the connection state is JOINING")
end

