local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'fb_list_master')
local fb_count = game.gm.getLocalIndicator(0, "fb_count")
local is_my_index_in_list = game.gm.getLocalIndicator(0, "is_my_index_in_list")
local analytics = game.analyticsHelper
sprite:clearcache()


local fOnline = {}  -- friends with app and online
local fApp = {}		-- friends with app, but not online
local fNoApp = {}	-- friends w/o app



-- debug online users (connected to photon)
----------------------------------------------------
if(dbg_friends_online_simulation == 1) then
	for i=1, self.my_fb_tmp_items.Length do
		if(math.random(100) < 33) then
			self.my_fb_tmp_items[i].online_status = 2
		end
	end
end
----------------------------------------------------


-- sort into 3 tables
for i=1, self.my_fb_tmp_items.Length do
	if(self.my_fb_tmp_items[i].is_me == 0) then
		if(self.my_fb_tmp_items[i].online_status > 1) then
			table.insert(fOnline, self.my_fb_tmp_items[i])
		elseif (self.my_fb_tmp_items[i].score ~= 0) then
			table.insert(fApp, self.my_fb_tmp_items[i])
		else
			table.insert(fNoApp, self.my_fb_tmp_items[i])
		end
	else
		print("FB:: my fb id = " .. self.my_fb_tmp_items[i].FB_ID)
		my_fb_id = self.my_fb_tmp_items[i].FB_ID
		my_fb_rank = self.my_fb_tmp_items[i].rank
	end
end	

SocialMaster.friends = {}
for i=1, #fOnline do table.insert(SocialMaster.friends, fOnline[i]) end
for i=1, #fApp do table.insert(SocialMaster.friends, fApp[i]) end
for i=1, #fNoApp do table.insert(SocialMaster.friends, fNoApp[i]) end

print("FB:: online=" .. #fOnline .. ", app=" .. #fApp .. ", !app=" .. #fNoApp .. "||total = " .. #SocialMaster.friends)

for i=1, #SocialMaster.friends do
	print("F[" .. i .. "]=" .. SocialMaster.friends[i].FB_ID)
end
