local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'fb_list_master')
local analytics = game.analyticsHelper
sprite:clearcache()


local sc = require 'engine.social'


print("FB:: fb_start_game_with_friends.lua started, #checked = " .. self.my_checked_items.Length)
if(self.my_checked_items.Length > 0) then
	local fCandidates = {}
	local fNotInstalled = {}
	for i=1, self.my_checked_items.Length do
		local s = self.my_checked_items[i]
		if (s.score > 0) then
			table.insert(fCandidates, s.FB_ID)
		else
			table.insert(fNotInstalled, s.FB_ID)
			--self.send_install_invite_to({fb_id = s.FB_ID})
			--print("FB:: install request sent to " .. s.FB_ID)
		end
	end

	if (#fCandidates > 0) then
		local game_id = random_game_id + 2013
        local properties = {game_type_yan = game_id}
		local propertiesTxt = g_TableToString(properties)
        g_addPropertiesForMyLevel(properties)
		game.networking.startGameWithFriends(
   				1, "Let's play together!", 
   				fCandidates, multi_players_total, properties)
		print("FB:: start game invite sent to " .. #fCandidates .. " friends, properties = " .. propertiesTxt)		
		if (preplay_debug_line.Length > 0) then
			preplay_debug_line.canvas["txt"].text = "start game with " .. (multi_players_total-1) .. "/" .. #fCandidates .. " game id=" .. propertiesTxt
		end
		
	else
		print("FB:: No active users were checked in fb list")
	end

	if (#fNotInstalled > 0) then
		print("FB:: Sending Req to" .. #fNotInstalled .. "users without the game")
		sc.sendRequest( fNotInstalled, 6, "Join to the world community of Ninja Chicken Multiiplayer", 0, 0, 0, 0)
		
	else
		print("FB:: No active users were checked in fb to install list")
	end

end
