local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'hit_msg')
local type = game.gm.getLocalIndicator(0, "type")
local place = game.gm.getLocalIndicator(0, "place")
local attacker = game.gm.getLocalIndicator(0, "attacker")
local victim = game.gm.getLocalIndicator(0, "victim")
local analytics = game.analyticsHelper
sprite:clearcache()


-- from, to, type, active, place
local y0 = 75
local dy  = 10
self.x = 10

self.place = place
self.XPos = SCREEN_X - self.Width
self.YPos = y0 + (place-1) * (self.Height + dy)
self.y = self.YPos
self.set_timer({t=3500})

if g_PlayersNames == nil then 
	g_PlayersNames = PlayersNamesStorage.ReadNamesFromFile()
end
if g_PlayersNames == nil then 
	print("NAMES:: Can't read names from file in hit_msg_init.lua")
end



local txt = "something happend"

local attackerName = g_PlayersNames[tostring(attacker)]
local victimName = g_PlayersNames[tostring(victim)]

if attackerName == nil then attackerName = "ninja" end
if victimName == nil then victimName = "ninja" end

local isAttacker
if attacker == multi_player_id_me then 
	isAttacker = true
else
	isAttacker = false
end


-- animation (message background)
if isAttacker == true then 
	self.set_animation({n = 2})
else
	self.set_animation({n = 1})
end




if 		type == PWR_MISSLE then 
	if isAttacker == true then 
		txt = "You hit " .. victimName --.. " with a missile"		
	else
		txt = attackerName .. " hits you" --.. "with a missile"
	end
elseif  type == PWR_MINE then 
	if isAttacker == true then 
		--txt = victimName .. " stepped on your mine"
		txt = "You hit " .. victimName
	else
		--txt = "You stepped on " .. attackerName .."'s mine"
		txt = attackerName .. " hits you"
	end
elseif  type == PWR_LOVE_ARROW then 
	if isAttacker == true then 
		--txt = "You hit " .. victimName .. " with an arrow"
		txt = "You hit " .. victimName
	else
		--txt = attackerName .. " hits you with an arrow"
		txt = attackerName .. " hits you"
	end
elseif type == PWR_SWITCH_CONTROLS then 
	--compare attacker name to your own name
	local myName = g_PlayersNames[tostring(multi_player_id_me)]
	if myName == attackerName then 
		-- temporary patch
		self.close()
	else
		txt = attackerName .. " hits you"
		self.set_animation({n = 3})
	end
end


self.canvas.TextFrame.text = txt

print ("hit report:: hit_msg CREATED at " .. self.XPos .. ", " .. self.YPos )
print ("hit report:: msg = " .. txt)

