local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'inbox_master')
local analytics = game.analyticsHelper
sprite:clearcache()


local toProcessInd = {}		-- indexes of checked requests
local toSaveInd = {}		-- indexes of unchecked requests, will be save to file

for i=1, self.my_slots.Length do
	if(self.my_slots[i].my_v.is_checked == 1) then
		table.insert(toProcessInd, i)
	else
		table.insert(toSaveInd, i)
	end
end

-- save unchecked requests
Inbox.OpenFile("w")
if(Inbox.file) then
	for i=1, #toSaveInd do
		local req = Inbox.requests[toSaveInd[i]]			
		if(req) then	
			CRequest.SaveToFile(req, Inbox.file) 
			--CRequest.PrintMe(req, "INB:: in_accept saved to file => ")
		end
	end
	Inbox.CloseFile()
end


-- update inbox counter
inbox_cnt_dsp.num = #toSaveInd

-- process checked requests
if(#toProcessInd > 0) then
	for i=1, #toProcessInd do
		local req = Inbox.requests[toProcessInd[i]]			
		if(req) then				
			self.proccess_request({requestId = req.requestId, friendId = req.friendId, 
									arg1 = req.arg1, arg2 = req.arg2, arg3 = req.arg3, quantity = req.quantity})
			--CRequest.PrintMe(req, "INB:: in_accept processed => ")
		end
	end
end
