local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'limbo_purple_dragon_pet')
local father = sprite:create(game.gm.getLocalIndicator(0, "father"),'pet_house')
local egg_type = game.gm.getLocalIndicator(0, "egg_type")
local set_pet_type = game.gm.getLocalIndicator(0, "set_pet_type")
local src = game.gm.getLocalIndicator(0, "src")
local analytics = game.analyticsHelper
sprite:clearcache()


local pet_type = self.limbo_pet.pet_type
--print("type: " .. pet_type)
--local meta_data = PetsData['self.limbo_pet.type']
local meta_data = PetsData[pet_type]
local data = {}


if(meta_data ~= nil) then

	for key,value in pairs(meta_data) do
		--print("key: " .. key .. " data: " .. value)
	end
else
	print("Got null meta data")
end


data.slot_id = self.limbo_pet.slot_id
data.petType = self.limbo_pet.pet_type
data.name = meta_data.name
data.description = meta_data.description
data.month = self.limbo_pet.month
data.day = self.limbo_pet.day
data.hours = self.limbo_pet.hour
data.minutes = self.limbo_pet.minutes
data.seconds = self.limbo_pet.seconds
data.energy_current_lives = meta_data.current_lives - 1
data.energy_recharge_time = self.limbo_pet.energy_recharge_time
data.energy_lives_cap = meta_data.lives_cap
data.is_egg = self.limbo_pet.is_egg
print("Adding new pet as egg: " .. data.is_egg)


table.insert(PetMaster.slots, data)

--print("added new pet to slot (to array): " .. data.slot_id)


PetMaster.OpenFile("w")

local index = 1
while (PetMaster.slots[index] ~= nil) do
	data = PetMaster.slots[index]
	if(index == 4) then
		--print("Re-writing pet id 4 - is egg" .. data.is_egg)
	end
	PetMaster.SavePetToFile(index, data.petType, data.name, data.description, data.month, data.day, data.hours, data.minutes, data.seconds,
	data.energy_recharge_time, data.energy_lives_cap, data.energy_current_lives, data.is_egg)
	                    
	index = index + 1
	--print("Finished re-writing pet: " .. index)
end


--print("Written pets array into file!")
PetMaster.CloseFile()
