local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'limbo_pet')
local analytics = game.analyticsHelper
sprite:clearcache()


-- When pet is first created - the "recharge time" is used for the "hacthing time"
-- After the pet hatches - we initiate the actual recharge time of the energy system

local pet_type = self.limbo_pet.pet_type

local meta_data = PetsData[pet_type]

-- Update pet table data
local data = nil
for key, value in pairs(PetMaster.slots) do 
	if(value.slot_id == self.limbo_pet.slot_id) then
		data = PetMaster.slots[self.limbo_pet.slot_id]
		data.energy_recharge_time = meta_data.recharge_time
		self.limbo_pet.energy_recharge_time = data.energy_recharge_time
		print("re-load data for slot id: " .. self.limbo_pet.slot_id)
	end
end

-- Update pet sprite data

print("type: " .. pet_type)

PetMaster.OpenFile("w")

local index = 1
while (PetMaster.slots[index] ~= nil) do
	data = PetMaster.slots[index]
	PetMaster.SavePetToFile(index, data.petType, data.name, data.description, data.month, data.day, data.hours, data.minutes, data.seconds,
	data.energy_recharge_time, data.energy_lives_cap, data.energy_current_lives, data.is_egg)
	index = index + 1
	--print("Finished re-writing pet: " .. index)
end


--print("Written pets array into file!")
PetMaster.CloseFile()
