local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'limbo_pet')
local analytics = game.analyticsHelper
sprite:clearcache()


local data = PetMaster.slots[self.limbo_pet.slot_id]

if(data ~= nil) then
	
	data.month = self.limbo_pet.month
	data.day = self.limbo_pet.day
	data.hours = self.limbo_pet.hour
	data.minutes = self.limbo_pet.minutes
	data.seconds = self.limbo_pet.seconds
	data.energy_current_lives = self.limbo_pet.energy_current_lives
	data.energy_recharge_time = self.limbo_pet.energy_recharge_time
	data.energy_lives_cap = self.limbo_pet.energy_lives_cap
	data.is_egg = self.limbo_pet.is_egg
	--print("write pet into array - is egg: " .. data.is_egg)

	PetMaster.OpenFile("w")

	local index = 1
	while (PetMaster.slots[index] ~= nil) do
		--print("Re-writing pet: " .. index)
		data = PetMaster.slots[index]
		PetMaster.SavePetToFile(index, data.petType, data.name, data.description, data.month, data.day, data.hours, data.minutes, data.seconds,
		data.energy_recharge_time, data.energy_lives_cap, data.energy_current_lives, data.is_egg)

		index = index + 1
		--print("Finished re-writing pet: " .. index)
	end

	
	--print("Written pets array into file!")
	PetMaster.CloseFile()

end
