local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'game_master')
local victim = game.gm.getLocalIndicator(0, "victim")
local attacker = game.gm.getLocalIndicator(0, "attacker")
local attack_type = game.gm.getLocalIndicator(0, "attack_type")
local analytics = game.analyticsHelper
sprite:clearcache()



-- bot hits bot		-
-- bot hits hero		v
-- hero hits bot		a
-- hero hits hero	a&v

local victimSprite
local attackerSprite
for i=1, hero.Length do
	if hero[i].my_id == victim then
		victimSprite = hero[i]
	elseif	hero[i].my_id == attacker then
		attackerSprite = hero[i]
	end
end

if attackerSprite == nil then
	print ("This should never happen: attackerSprite is nil ") 	
end
if victimSprite == nil then
	print ("This should never happen: victimSprite is nil ") 	
end

if attackerSprite ~= nil and victimSprite ~= nil then 
	if (victimSprite.is_shadow == 0 or attackerSprite.is_shadow == 0) then
		print("hit report:: attacker=" .. attacker .. ", victim" .. victim .. ", type = " .. attack_type)
		local args = {}
		args["type"] = tostring(attack_type)
		args["attacker"] = tostring(attacker)
		args["victim"] = tostring(victim)
		
		if (victimSprite.is_shadow == 1 and attackerSprite.my_id == multi_player_id_me --[[and attack_type ~= PWR_SWITCH_CONTROLS]] ) 
			or attackerSprite.is_shadow == 1 then 
			print ("hit report:: case 1")
			HitsMessenger.CreateMessage(args)										
		elseif victimSprite.my_id == multi_player_id_me then 
			print ("hit report:: case 2")
			HitsMessenger.CreateMessage(args)										
			game.networkingEvents.send(EVENT_HIT_MSG, args)
		end
	end
end
