local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'store_bg')
local analytics = game.analyticsHelper
sprite:clearcache()



StoreItem = {}
StoreItem.__index = StoreItem

--pseudo c'tor - redirect to the new() method
setmetatable(StoreItem, {
	__call = function (cls, ...)
		return cls.new(...)
	end,
})
--actual c'tor ----------------------------------------
function StoreItem.new(name_, price_, level_, have_it_, crafting_time_, acc_price_, place_in_list_, category_, skill_)
	local this = setmetatable({}, StoreItem)	
	this.price = price_
	this.name = name_
	this.level = level_ or 0
	this.have_it = have_it_ or 0
	this.crafting_time = crafting_time_ or 0
	this.acc_price = acc_price_ or 0
	this.place_in_list = place_in_list_
	this.category = category_
	this.skill = skill_ or 0
	return this
end
-------------------------------------------------------
function StoreItem.PrintMe(this)
	print("store item{ " .. this.name .. " = " .. this.price .. "$, lvl = " .. this.level .. " }")
end


