local game = require 'game'
local sprite = game.sprite
local social = game.socialHelper
local self = sprite:create(game.gm.getLocalIndicator(0, "self"),'date_diff_cap')
local o_day = game.gm.getLocalIndicator(0, "o_day")
local o_minutes = game.gm.getLocalIndicator(0, "o_minutes")
local o_hours = game.gm.getLocalIndicator(0, "o_hours")
local o_seconds = game.gm.getLocalIndicator(0, "o_seconds")
local n_day = game.gm.getLocalIndicator(0, "n_day")
local n_hours = game.gm.getLocalIndicator(0, "n_hours")
local n_seconds = game.gm.getLocalIndicator(0, "n_seconds")
local n_minutes = game.gm.getLocalIndicator(0, "n_minutes")
local o_month = game.gm.getLocalIndicator(0, "o_month")
local n_month = game.gm.getLocalIndicator(0, "n_month")
local analytics = game.analyticsHelper
sprite:clearcache()


--[[
self.date_diff_cap.hour
minutes
seconds
day
month
day_passed
week_passed
o_total_seconds
n_total_seconds
total_difference_in_seconds
tmp_hour_difference
difference_in_minutes
difference_in_hours
difference_in_days
difference_in_seconds
]]

-- Sum "destination" time
local t = o_seconds
t = o_seconds
t = t + (o_minutes * 60)
t = t + (o_hours * 60 * 60)
t = t + (o_day * 24 * 60 * 60)
if(o_month >= n_month) then
	t = t + (o_month * 30 * 24 * 60 * 60)
else
	t = t + ((o_month + 12) * 30 * 24 * 60 * 60)
end

--print("o_t: " .. t)

-- Sum "starting" time
local w = n_seconds
w = w + (n_minutes * 60)
w = w + (n_hours * 60 * 60)
w = w + (n_day * 24 * 60 * 60)
w = w + (n_month * 30 * 24 * 60 * 60)
--print("n_w: " .. w)

local diff_in_seconds = w - t
if(diff_in_seconds > 745500) then
	diff_in_seconds = 745500
end
if (diff_in_seconds < -745500) then
	diff_in_seconds = -745500
end
self.date_diff_cap.total_difference_in_seconds = diff_in_seconds

-- Save results --
self.date_diff_cap.difference_in_days = math.floor(((self.date_diff_cap.total_difference_in_seconds / 60) / 60) / 24)
self.date_diff_cap.difference_in_hours = math.floor((self.date_diff_cap.total_difference_in_seconds / 60) / 60)
self.date_diff_cap.difference_in_minutes = math.floor((self.date_diff_cap.total_difference_in_seconds / 60) % 60)
self.date_diff_cap.difference_in_seconds = math.floor(self.date_diff_cap.total_difference_in_seconds % 60)

-- Check if day passed
if(self.date_diff_cap.total_difference_in_seconds <= -86400) then
	self.date_diff_cap.day_passed = 1
end
-- Check if week passed
if(self.date_diff_cap.total_difference_in_seconds <= -604800) then
	self.date_diff_cap.week_passed = 1
end

--print("Total difference in seconds: " .. self.date_diff_cap.total_difference_in_seconds)
