local typesToAtlases = {
	["$TouchTester$1040x624@160dpi"] = { 1 },
	["$TouchTester$1040x624@120dpi"] = { 1 },
	["$TouchTester$1040x624@240dpi"] = { 1 },
	["badge_028fdde5fde942f0b8eb273b1b8c9820"] = { 1 },
	["text_cover"] = { 1 },
	["icon_bg"] = { 1 },
	["icon_cover"] = { 1 },
	["frame_bg_fade"] = { 1 },
	["loading_bar_bg_354463462352"] = { 2 },
	["bg_43534535543"] = { 2, 3, 4 },
	["ps_woosh_video_last_frame_23512435"] = { 2, 3, 4 },
	["playscape_logo_353453456"] = { 2 },
	["loading_bar_fill_354298787643"] = { 2 },
	["playscape_logo_plus_353453456"] = { 2 },
	["ball_875764fds76f47s"] = { 2 },
	["progress_bar_3256768231"] = { 2, 3, 4 },
	["control_button"] = { 5 },
	["pwrup_cooldown_screen"] = { 5 },
	["pwrup_symbol"] = { 5 },
	["pause_button"] = { 5 },
	["pwrup_button"] = { 5 },
	["talk_button"] = { 5 },
	["pwrup_effect"] = { 5 },
	["hit_msg"] = { 5 },
	["talk_option_button"] = { 5 },
	["talk_msg"] = { 5 },
	["progression_bar"] = { 6 },
	["avatar_outline"] = { 6 },
	["chicken_avatar_body"] = { 6 },
	["chicken_avatar"] = { 6 },
	["chicken_avatar_head"] = { 6 },
	["tutorial_hand"] = { 7 },
	["tutorial_jump_label"] = { 7 },
	["tutorial_slide_label"] = { 7 },
	["tutorial_tap_label"] = { 7 },
	["tutorial_big_pink_arrow"] = { 7 },
	["waiting_for_players_indicator"] = { 7 },
	["limbo_arrow_button"] = { 8 },
	["limbo_back_button"] = { 8 },
	["limbo_settings_button"] = { 8 },
	["play_stroke_effect"] = { 8 },
	["limbo_play_button"] = { 8 },
	["limbo_quick_button"] = { 8 },
	["limbo_friends_button"] = { 8 },
	["preplay_go_button"] = { 8 },
	["settings_icon"] = { 9 },
	["promotion_dlg_check_box"] = { 9 },
	["watch_video_dlg"] = { 9 },
	["are_you_sure_dlg"] = { 9 },
	["video_fail_dlg_icon"] = { 9 },
	["promotion_dlg_logo"] = { 9 },
	["promotion_dlg_characters"] = { 9 },
	["pet_revive_dlg"] = { 9 },
	["blue_x_button"] = { 10 },
	["pink_v_button"] = { 10 },
	["arrow_tab"] = { 10 },
	["dlg_grey_line"] = { 10 },
	["bright_grey_line"] = { 10 },
	["upgrade_generic_button"] = { 10 },
	["pink_small_dlg_button"] = { 10 },
	["pink_big_dlg_button"] = { 10 },
	["rainbow_icon_for_pink_button"] = { 10 },
	["blue_big_dlg_button"] = { 10 },
	["text_bubble_big_mirrored"] = { 10 },
	["grey_big_dlg_button"] = { 10 },
	["remove_ads_button"] = { 10 },
	["get_free_stardust_button"] = { 10 },
	["get_free_rainbow_button"] = { 10 },
	["buy_more_box"] = { 10 },
	["buy_more_pink_button"] = { 10 },
	["buy_more_icons"] = { 10 },
	["plus_generic_button"] = { 10 },
	["fb_connect_dlg_button"] = { 10 },
	["g_plus_connect_dlg_button"] = { 10 },
	["text_bubble_small"] = { 10 },
	["fb_ask_friends_dlg_button"] = { 10 },
	["text_bubble_big"] = { 10 },
	["grey_small_dlg_button"] = { 10 },
	["next_button"] = { 10 },
	["settings_movie_button"] = { 10 },
	["settings_service_button"] = { 10 },
	["text_bubble_small_mirrored"] = { 11 },
	["tutorial_control_text"] = { 12 },
	["tutorial_controls_bg"] = { 12, 13 },
	["tutorial_controls_projector"] = { 12 },
	["tutorial_controls_arrow"] = { 12 },
	["gold_acorns_bag"] = { 14 },
	["gold_acorns_bag_drop_animation"] = { 14 },
	["acorns_bag_drop_animation"] = { 14 },
	["silver_acorns_bag"] = { 14 },
	["acorns_bag"] = { 14 },
	["silver_acorns_bag_drop_animation"] = { 14 },
	["collectible_pick_up_effect"] = { 14 },
	["collectible_bubble"] = { 14 },
	["rainbow_juice"] = { 14 },
	["trampoline"] = { 15 },
	["mud_particle"] = { 15 },
	["spike"] = { 15 },
	["nest"] = { 15 },
	["leaf_particle"] = { 15 },
	["nest_front"] = { 15 },
	["ice_particle"] = { 15 },
	["egg"] = { 15 },
	["block_shadow"] = { 15 },
	["mud_block"] = { 15 },
	["block"] = { 15 },
	["mud_gnd_back"] = { 15 },
	["mud_gnd_front"] = { 15 },
	["ice_block"] = { 15 },
	["ice_gnd_mid"] = { 15 },
	["ice_gnd_edge"] = { 15 },
	["berry"] = { 15 },
	["boom"] = { 15 },
	["rope_tile"] = { 15 },
	["hook_block"] = { 15 },
	["bush"] = { 15 },
	["cloud_block"] = { 15 },
	["rope_hook"] = { 15 },
	["jump_hint_v2"] = { 16 },
	["collect_acorn"] = { 16 },
	["force_drop_hint"] = { 16 },
	["slide_hint_v1"] = { 16 },
	["tap_to_roll_arrow_hint"] = { 16 },
	["tap_to_jump_arrow_hint"] = { 16 },
	["tap_to_drop_arrow_hint"] = { 16 },
	["tap_to_boost_hint"] = { 16 },
	["tap_to_double_jump_hint"] = { 16 },
	["tap_to_boost_arrow_hint"] = { 16 },
	["up_down_sign"] = { 16 },
	["hero_name"] = { 17 },
	["Hero_place"] = { 17 },
	["gboost_2d_effect"] = { 17 },
	["skill_particle"] = { 17 },
	["local_hero_indicator"] = { 17 },
	["hero_collectible_text"] = { 17 },
	["side_indicator"] = { 17 },
	["limbo_skill_particle"] = { 17 },
	["hero_hit_effect"] = { 17 },
	["limbo_skill_particle_NEW"] = { 17 },
	["robot_pet"] = { 18 },
	["robot_beam"] = { 18 },
	["angel_particle"] = { 19 },
	["angel_pet"] = { 19 },
	["chicken_skin"] = { 20 },
	["dragon_purple_pet"] = { 21 },
	["carrot_stick"] = { 21 },
	["demon_pet"] = { 22 },
	["demon_particle"] = { 22 },
	["dragon_gold_pet"] = { 23 },
	["chick_pet"] = { 24 },
	["astrocat_pet"] = { 25 },
	["alien_pet"] = { 26 },
	["death_angel_pet"] = { 27 },
	["crest"] = { 28 },
	["bands"] = { 29 },
	["demon_helmet"] = { 30 },
	["crown"] = { 31 },
	["caveman_helmet"] = { 32 },
	["wizard_hat"] = { 33 },
	["pirate_hat"] = { 34 },
	["soldier_helmet"] = { 35 },
	["robot_helmet"] = { 36 },
	["jet_pack"] = { 37 },
	["pirate_belt"] = { 38 },
	["soldier_belt"] = { 39 },
	["general_cape"] = { 40 },
	["power_shield"] = { 41 },
	["but_switch_aura"] = { 42 },
	["bazooka_missle"] = { 43 },
	["bazooka_following_missle"] = { 43 },
	["love_particle"] = { 43 },
	["bazooka_missle_afterburn"] = { 43 },
	["bazooka_afterburn"] = { 43 },
	["love_arrow"] = { 43 },
	["bazooka_smoke"] = { 43 },
	["bazooka"] = { 43 },
	["bow"] = { 43 },
	["grid_tile"] = { 44 },
	["start_button_iris"] = { 45 },
	["start_go_txt"] = { 45 },
	["mine_shadow"] = { 46 },
	["falling_mine"] = { 46 },
	["mine"] = { 46 },
	["mine_explosion"] = { 46 },
	["fb_list_element"] = { 47 },
	["fb_list_done_button"] = { 47 },
	["fb_list_invite_friends"] = { 47 },
	["fb_list_back_button"] = { 47 },
	["fb_list_item_userpic"] = { 47 },
	["fb_list_element_selected"] = { 47 },
	["fb_loading_indication"] = { 47 },
	["ground_grass"] = { 48 },
	["flower"] = { 48 },
	["finish_line"] = { 48 },
	["ground"] = { 48 },
	["appoc_tree_2"] = { 49 },
	["appoc_destroyed_silhouette"] = { 49 },
	["appoc_tree_1"] = { 49 },
	["appoc_silhouette_1"] = { 49 },
	["appoc_ground"] = { 49 },
	["appoc_hill_z1"] = { 49 },
	["appoc_cloud"] = { 49 },
	["appoc_hill_z3"] = { 49 },
	["appoc_bg_tile_1"] = { 49 },
	["appoc_bg_tile_2"] = { 49 },
	["appoc_hill_z2"] = { 49 },
	["appoc_cliff"] = { 49 },
	["appoc_bg_tile_3"] = { 49 },
	["white_circle_2"] = { 50 },
	["white_circle_1"] = { 50 },
	["black_circle_house"] = { 50 },
	["black_circle_1"] = { 50 },
	["black_circle_2"] = { 50 },
	["black_circle_machine"] = { 50 },
	["white_circle_house"] = { 50 },
	["white_circle_3"] = { 50 },
	["black_circle_3"] = { 50 },
	["black_circle_4"] = { 50 },
	["white_circle_4"] = { 50 },
	["black_circle_5"] = { 50 },
	["white_circle_machine"] = { 50 },
	["white_circle_5"] = { 50 },
	["white_circle_7"] = { 50 },
	["black_circle_6"] = { 50 },
	["black_circle_7"] = { 50 },
	["white_circle_6"] = { 50 },
	["white_circle_9"] = { 50 },
	["black_circle_8"] = { 50 },
	["white_circle_8"] = { 50 },
	["mask_2_14x315_house"] = { 50 },
	["black_circle_9"] = { 50 },
	["mask_2_455x344_machine"] = { 50 },
	["mask_1_438x240"] = { 50 },
	["mask_2_123x335"] = { 50 },
	["mask_3_149x211"] = { 50 },
	["mask_4_19x200"] = { 50 },
	["mask_6_683x197"] = { 50 },
	["mask_7_622x288"] = { 50 },
	["mask_5_452x285"] = { 50 },
	["mask_wallpaper_strip_0x181"] = { 50 },
	["mask_9"] = { 50 },
	["mask_8"] = { 50 },
	["d_206x240_white_circle"] = { 51 },
	["d_206x240_black_circle"] = { 51 },
	["d_491x293_white_circle"] = { 51 },
	["d_491x293_black_circle"] = { 51 },
	["d_206x240_mask"] = { 51 },
	["d_491x293_mask"] = { 51 },
	["dino_reflection"] = { 52 },
	["dino"] = { 52 },
	["magic_hat_reflection"] = { 52 },
	["magic_hat"] = { 52 },
	["stone_DESTROYED_reflection"] = { 52 },
	["stone_DESTROYED"] = { 52 },
	["water_pipes_DOG"] = { 52 },
	["water_pipes_DOG_reflection"] = { 52 },
	["limbo_bush_1"] = { 52 },
	["limbo_bush_1_reflection_2"] = { 52 },
	["limbo_tennies_balls_DOG"] = { 52 },
	["limbo_bush_2_reflection"] = { 52 },
	["limbo_bush_2"] = { 52 },
	["limbo_palm_1_reflection"] = { 52 },
	["limbo_palm_1"] = { 52 },
	["limbo_tree_1_MAGIC"] = { 52 },
	["limbo_tree_1_MAGIC_reflection"] = { 52 },
	["limbo_tree_1_DOG"] = { 52 },
	["limbo_tree_1_DOG_reflection"] = { 52 },
	["limbo_tree_1_FUTURE_reflection"] = { 52 },
	["limbo_tree_1_FUTURE"] = { 52 },
	["limbo_tree_2_MAGIC"] = { 52 },
	["limbo_tree_2_MAGIC_reflection"] = { 52 },
	["limbo_tree_2_DESTROYED_reflection"] = { 52 },
	["limbo_tree_2_DESTROYED"] = { 52 },
	["limbo_street_light_DOG"] = { 52 },
	["limbo_street_light_DOG_reflection"] = { 52 },
	["purple_crystal_MAGIC_1"] = { 52 },
	["purple_crystal_MAGIC_1_reflection"] = { 52 },
	["purple_crystal_MAGIC_2_reflection"] = { 52 },
	["purple_crystal_MAGIC_2"] = { 52 },
	["limbo_small_stone_DESTROYED"] = { 52 },
	["limbo_small_stone_DESTROYED_reflection"] = { 52 },
	["limbo_tennies_balls_DOG_reflection"] = { 52 },
	["limbo_footsteps_DOG"] = { 52 },
	["limbo_lambs_FUTURE_reflection"] = { 52 },
	["limbo_lambs_FUTURE"] = { 52 },
	["chicken_incubator_FUTURE"] = { 52 },
	["chicken_incubator_FUTURE_reflection"] = { 52 },
	["limbo_rocks_1"] = { 52 },
	["limbo_rocks_1_reflection"] = { 52 },
	["limbo_tree_1_reflection"] = { 52 },
	["limbo_tree_1"] = { 52 },
	["limbo_bush_3"] = { 52 },
	["limbo_bush_3_reflection"] = { 52 },
	["limbo_wallpaper_1"] = { 52 },
	["limbo_wallpaper_reflection_1"] = { 52 },
	["limbo_wallpaper_reflection_2"] = { 52 },
	["limbo_wallpaper_3"] = { 52 },
	["limbo_wallpaper_reflection_4"] = { 52 },
	["limbo_wallpaper_reflection_3"] = { 53 },
	["limbo_wallpaper_5"] = { 53 },
	["limbo_wallpaper_2"] = { 53 },
	["limbo_hill_1"] = { 52 },
	["limbo_wallpaper_reflection_5"] = { 53 },
	["limbo_wallpaper_4"] = { 53 },
	["pet_house_reflection"] = { 54 },
	["pet_energy_master"] = { 54 },
	["limbo_egg"] = { 54 },
	["pet_house_skin_level_1"] = { 54 },
	["pet_house_skin_level_2"] = { 54 },
	["pet_house_skin_level_3"] = { 54 },
	["pet_house_upgrade_spark"] = { 54 },
	["pet_house_skin_level_5"] = { 54 },
	["pet_house_skin_level_6"] = { 54 },
	["pet_house_skin_level_4"] = { 55 },
	["pet_house_upgrade_magic_trail"] = { 55 },
	["machine_store_reflection"] = { 56 },
	["machine_store"] = { 56 },
	["machine_blue_glass"] = { 56 },
	["machine_light"] = { 56 },
	["machine_smoke"] = { 56 },
	["machine_sign"] = { 56, 57 },
	["machine_chakalaka"] = { 56 },
	["machine_open_screen"] = { 57 },
	["silo"] = { 58 },
	["silo_fill_up"] = { 58 },
	["silo_reflection"] = { 58 },
	["silo_tube"] = { 58 },
	["silo_fiil_top"] = { 58 },
	["pet_indicator"] = { 59 },
	["preplay_purple_dragon"] = { 59 },
	["preplay_robot"] = { 59 },
	["preplay_demon"] = { 59 },
	["pet_mask"] = { 59 },
	["preplay_alien"] = { 59 },
	["preplay_chick"] = { 59 },
	["preplay_astro_cat"] = { 59 },
	["preplay_yellow_dragon"] = { 59 },
	["preplay_death_angel"] = { 59 },
	["preplay_angel"] = { 59 },
	["preplay_timer2"] = { 59 },
	["searching_for_players_WHITE_MASK"] = { 59 },
	["searching_for_players_PINK_EFFECT"] = { 59 },
	["limbo_egg_normal_part"] = { 60 },
	["limbo_egg_big_normal"] = { 60 },
	["limbo_egg_golden_part"] = { 61 },
	["limbo_egg_big_golden"] = { 61 },
	["limbo_egg_mystic_part"] = { 62 },
	["limbo_egg_big_mystic"] = { 62 },
	["lightning_button_aura"] = { 63 },
	["lighting"] = { 63 },
	["lightning_button_sparks"] = { 63 },
	["debug_grid"] = { 64, 65 },
	["limbo_chicken_reflection"] = { 66 },
	["limbo_entrance_glow"] = { 66 },
	["limbo_chicken_NEW"] = { 66, 67, 68 },
	["limbo_chicken_DEMO"] = { 66 },
	["limbo_entrance_glow_circle"] = { 67 },
	["limbo_chicken_entrance"] = { 66 },
	["limbo_chicken_NEW_crest"] = { 67, 68 },
	["limbo_bg_strip_2"] = { 69 },
	["limbo_bg_strip_3"] = { 69 },
	["limbo_bg_strip_1_bottom"] = { 69 },
	["limbo_bg_strip_4"] = { 69 },
	["limbo_bg_strip_6"] = { 69 },
	["limbo_bg_strip_7"] = { 69 },
	["limbo_bg_strip_5"] = { 69 },
	["limbo_bg_strip_8"] = { 69, 70 },
	["limbo_bg_strip_10"] = { 70 },
	["limbo_bg_strip_9"] = { 70 },
	["cloud_5"] = { 71 },
	["cloud_4"] = { 71 },
	["cloud_7"] = { 71 },
	["cloud_1"] = { 71 },
	["cloud_6"] = { 71 },
	["cloud_2"] = { 71 },
	["cloud_3"] = { 71 },
	["cave_cloud"] = { 72 },
	["cave_bone"] = { 72 },
	["cave_dolmen_2"] = { 72 },
	["cave_cliff"] = { 72 },
	["cave_tree_1"] = { 72 },
	["cave_dolmen_1"] = { 72 },
	["cave_silhouette_1"] = { 72 },
	["cave_mountains_silhouette_1"] = { 72 },
	["cave_tree_2"] = { 72 },
	["dog_bg_tile"] = { 73 },
	["dog_bg_tile_2"] = { 73 },
	["dog_cliff"] = { 73 },
	["dog_cloud"] = { 73 },
	["dog_bg_tile_3"] = { 73 },
	["dragon_crystal"] = { 74 },
	["dragon_volcano"] = { 74 },
	["dragon_cliff"] = { 74 },
	["dragon_tree_1"] = { 74 },
	["dragon_tree_2"] = { 74 },
	["dragon_bg_tile_3"] = { 74 },
	["dragon_mountains_silhouette_1"] = { 74 },
	["dragon_bg_tile_2"] = { 74 },
	["dragon_cloud"] = { 74 },
	["dragon"] = { 74 },
	["dragon_bg_tile_1"] = { 74 },
	["magic_tree_2"] = { 75 },
	["magic_cliff"] = { 75 },
	["magic_silhouette_2"] = { 75 },
	["magic_witch_silhouette"] = { 75 },
	["magic_tree_1"] = { 75 },
	["magic_silhouette_1"] = { 75 },
	["magic_cloud"] = { 75 },
	["magic_bg_tile_1"] = { 75 },
	["magic_bg_tile_2"] = { 75 },
	["magic_bg_tile_3"] = { 75 },
	["rock_2"] = { 76 },
	["rock_3"] = { 76 },
	["rock_4"] = { 76 },
	["rock_1"] = { 76 },
	["palm_1"] = { 77 },
	["bg_tile_1"] = { 77 },
	["bg_tile_3"] = { 77 },
	["palm_2"] = { 77 },
	["dino_cliff"] = { 77 },
	["bg_tile_2"] = { 77 },
	["fut_light_pole"] = { 78 },
	["fut_cliff"] = { 78 },
	["fut_bg_tile_2"] = { 78 },
	["fut_bg_tile_1"] = { 78 },
	["fut_bg_tile_3"] = { 78 },
	["fut_city_silhouette_1"] = { 78 },
	["fut_silhouette_1"] = { 78 },
	["bush_1"] = { 79 },
	["bush_3"] = { 79 },
	["bush_2"] = { 79 },
	["leaf_1"] = { 79 },
	["leaf_2"] = { 79 },
	["hill_z2"] = { 80 },
	["hill_silhouette_2"] = { 80 },
	["hill_z1"] = { 80 },
	["hill_silhouette_3"] = { 80 },
	["hill_z3"] = { 80 },
	["hill_silhouette_1"] = { 80 },
	["dbg_tz"] = { 81 },
	["dbg_multi_mode_button"] = { 81 },
	["dbg_ignore_glicko"] = { 81 },
	["dbg_pet_button"] = { 81 },
	["dbg_love_test_mode_button"] = { 81 },
	["dbg_show_hitbox_button"] = { 81 },
	["store_king_hat"] = { 82 },
	["store_demon_hat"] = { 82 },
	["store_caveman_hat"] = { 82 },
	["store_pirate_hat"] = { 82 },
	["store_wizard_hat"] = { 82 },
	["store_soldier_hat"] = { 82 },
	["store_robot_hat"] = { 82 },
	["store_demon_cape"] = { 83 },
	["store_caveman_cape"] = { 83 },
	["store_pirate_belt"] = { 83 },
	["store_soldier_belt"] = { 83 },
	["store_king_cape"] = { 83 },
	["store_wizard_cape"] = { 83 },
	["store_robot_belt"] = { 83 },
	["energy_heart_bar_icon"] = { 84 },
	["black_bar"] = { 84 },
	["heart_big_bar_icon"] = { 84 },
	["construction_sign"] = { 84 },
	["red_bar"] = { 84 },
	["construction_big_bar_icon"] = { 84 },
	["pet_house_rush_icon"] = { 84 },
	["pet_house_upgrade_icon"] = { 84 },
	["construction_particle"] = { 84 },
	["ask_life"] = { 85 },
	["avatar_world_bg"] = { 86 },
	["preplay_player_frame"] = { 86 },
	["preplay_player_pet_pic"] = { 86 },
	["preplay_player_face"] = { 86 },
	["preplay_player_face_frame"] = { 86 },
	["yellow_loading_circle"] = { 86 },
	["preplay_player_default_hero_pic"] = { 86 },
	["preplay_prop"] = { 87 },
	["preplay_chicken"] = { 87 },
	["pet_powerup_dlg_icon"] = { 88 },
	["dismiss_pet_button"] = { 88 },
	["cooldown_bar"] = { 88 },
	["power_up_circle"] = { 88 },
	["pet_icon"] = { 88 },
	["ask_friend_for_energy_button"] = { 88 },
	["energy_heart_icon"] = { 88 },
	["equip_pet_button"] = { 88 },
	["cooldown_filler"] = { 88 },
	["buy_energy_button"] = { 88 },
	["cooldown_background"] = { 88 },
	["play_without_pet_button"] = { 88 },
	["egg_warmer"] = { 88 },
	["login_place_holder"] = { 89 },
	["stardust_display"] = { 89 },
	["map_button"] = { 89 },
	["xp_bar_box"] = { 89 },
	["mission_button"] = { 89 },
	["xp_bar_xp_fill_up_first_part"] = { 89 },
	["xp_bar_xp_fill_up"] = { 89 },
	["xp_bar_progress_fill_up"] = { 89 },
	["xp_bar"] = { 89 },
	["rainbow_display"] = { 89 },
	["xp_bar_progress_fill_up_first_part"] = { 89 },
	["inbox_button"] = { 89 },
	["limbo_egg_crack"] = { 90 },
	["limbo_explosion"] = { 90, 92 },
	["limbo_egg_glow"] = { 90, 91 },
	["pet_dialog_ring"] = { 91, 92 },
	["pet_dialog_recharge_glow"] = { 91 },
	["pet_dialog_pu_frame"] = { 90 },
	["pet_dialog_name"] = { 91, 90, 92, 93 },
	["pet_dialog_tap"] = { 90 },
	["limbo_robot_pet"] = { 94 },
	["limbo_purple_dragon_pet"] = { 95 },
	["limbo_demon_pet"] = { 96 },
	["limbo_yellow_dragon"] = { 97 },
	["limbo_alien"] = { 98 },
	["limbo_death_angel"] = { 99 },
	["limbo_astro_cat"] = { 100 },
	["limbo_chick"] = { 101 },
	["limbo_angel"] = { 102 },
	["update_icon"] = { 103 },
	["fb_icon"] = { 103 },
	["stardust_icon"] = { 103 },
	["fb_thumb_up_white_icon"] = { 103 },
	["rush_icon"] = { 103 },
	["rate_us_icon"] = { 103 },
	["trophy_icon"] = { 103 },
	["xp_bar_lvl_complete"] = { 103 },
	["grey_circle"] = { 103 },
	["rainbow_icon"] = { 103 },
	["xp_icon"] = { 103 },
	["xp_bar_fill_up_lvl_complete"] = { 103 },
	["upgrade_icon"] = { 103 },
	["grey_right_arrow"] = { 103 },
	["silo_icon"] = { 103 },
	["g_plus_icon"] = { 103 },
	["silo_part_icon"] = { 103 },
	["revive_hearts_icon"] = { 103 },
	["friend_icon"] = { 103 },
	["grey_circle_big"] = { 103 },
	["gate_icon"] = { 103 },
	["disconnection_icon"] = { 103 },
	["silo_is_full"] = { 103 },
	["store_egg_1"] = { 104 },
	["store_egg_3"] = { 104 },
	["store_egg_2"] = { 104 },
	["level_up_bar_full"] = { 105 },
	["level_up_bar"] = { 105 },
	["level_up_reward_circle"] = { 105 },
	["level_up_bar_fill"] = { 105 },
	["level_up_big_box"] = { 105 },
	["level_up_reward_icon"] = { 105 },
	["level_up_collect_button"] = { 105 },
	["level_up_box"] = { 105 },
	["inbox_select_all_button"] = { 106 },
	["inbox_accept_button"] = { 106 },
	["inbox_top_icon"] = { 106 },
	["inbox_face"] = { 106 },
	["inbox_v_circle"] = { 106 },
	["inbox_slot_icon"] = { 106 },
	["inbox_top_frame_part"] = { 106 },
	["inbox_slot"] = { 106 },
	["inbox_face_round_frame"] = { 106 },
	["inbox_bottom_frame_part"] = { 106 },
	["shop_market_communication_1"] = { 107 },
	["waiting_1"] = { 107 },
	["limbo_king_crown"] = { 108 },
	["limbo_wizard_hat"] = { 109, 110 },
	["limbo_demon_helmet"] = { 111, 112 },
	["limbo_soldier_helmet"] = { 113 },
	["limbo_pirate_hat"] = { 114, 115 },
	["limbo_caveman_helmet"] = { 116, 117 },
	["limbo_robot_helmet"] = { 118, 119 },
	["limbo_general_cape"] = { 120 },
	["limbo_pirate_belt"] = { 121 },
	["limbo_soldier_belt"] = { 122 },
	["limbo_robot_belt"] = { 123 },
	["map_gate_laser"] = { 124 },
	["map_invite_friends_button"] = { 124 },
	["map_back_button"] = { 124 },
	["world_1_2"] = { 124 },
	["world_3_1"] = { 125, 126 },
	["map_gate_pole"] = { 124 },
	["world_2_1"] = { 124, 125 },
	["world_1"] = { 125 },
	["world_2"] = { 126 },
	["world_3"] = { 127 },
	["world_5_1"] = { 128, 129, 130 },
	["world_4_1"] = { 127, 129, 130 },
	["world_4"] = { 128 },
	["world_6_coming_soon"] = { 126, 128 },
	["map_friend_FB_avatar_circle"] = { 124 },
	["map_friend_FB_avatar"] = { 124 },
	["world_5"] = { 129, 130, 131 },
	["level_transition_effect"] = { 126 },
	["map_bg_part"] = { 125, 127, 129, 130 },
	["store_hat_category_but"] = { 132 },
	["store_buy_but"] = { 132 },
	["store_misc_category_but"] = { 132 },
	["store_eggs_category_but"] = { 132 },
	["store_back_but"] = { 132 },
	["store_level"] = { 132 },
	["store_left_arrow_but"] = { 132 },
	["store_right_arrow_but"] = { 132 },
	["store_set_icon"] = { 133 },
	["store_set_slot"] = { 133 },
	["store_purchase_indication"] = { 134 },
	["store_bg"] = { 134, 135 },
	["store_locked"] = { 136 },
	["store_price_icon"] = { 136 },
	["store_item_shadow"] = { 136 },
	["limbo_big_death_angel"] = { 137 },
	["sound_settings"] = { 138 },
	["sound_slider"] = { 138 },
	["limbo_big_robot"] = { 139 },
	["limbo_big_purple_dragon"] = { 140 },
	["limbo_big_demon"] = { 141 },
	["limbo_big_angel"] = { 142 },
	["limbo_big_alien"] = { 143 },
	["limbo_big_gold_dragon"] = { 144 },
	["limbo_big_chick"] = { 145 },
	["limbo_big_astro_cat"] = { 146 },
	["playscape_logo_plus_kjhg76854345"] = { 147 },
	["playscape_logo_8765824ghj24248"] = { 147 },
	["loading_bar_bg_8746535662"] = { 147 },
	["loading_bar_fill_86852564"] = { 147 },
	["mominis_internal_placeholder_xprompt_promo_1"] = { 147, 148 },
}

return typesToAtlases
